org.springframework.shell.support.table

## Class Table

- java.lang.Object
- - org.springframework.shell.support.table.Table

-     public class Table
      extends Object

  Provide a basic concept of a table structure containing a map of column headers and a collection of rows. Used to render text-based tables (console output).
  See Also:
    `TableRenderer`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Table()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Table` | `addHeader(Integer columnIndex, TableHeader tableHeader)`
    `Table` | `addRow(String... values)`
    `void` | `calculateColumnWidths()`
    `boolean` | `equals(Object obj)`
    `Map<Integer,TableHeader>` | `getHeaders()`
    `List<TableRow>` | `getRows()`
    `int` | `hashCode()`
    `TableRow` | `newRow()` Add a new empty row to the table.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Table

          public Table()

  - ### Method Detail

    - #### getRows

          public List<TableRow> getRows()

    - #### getHeaders

          public Map<Integer,TableHeader> getHeaders()

    - #### addHeader

          public Table addHeader(Integer columnIndex,
                        TableHeader tableHeader)

    - #### newRow

          public TableRow newRow()

      Add a new empty row to the table.
      Returns:
        the newly created row, which can be then be populated

    - #### addRow

          public Table addRow(String... values)

    - #### calculateColumnWidths

          public void calculateColumnWidths()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`